Subject: bug#70086: Mouse clicks in tab-bar don't call commands bound in keymap properties

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Mar 2024 21:56:19 +0300

> Cc: [email-masked]
> From: Juri Linkov <[email-masked]>
> Date: Sat, 30 Mar 2024 20:16:50 +0200
> 
> > Looking at tab-bar.el, I see that it does some, I suppose, unusual things
> > with keymaps and clicks to make them work.  However, if this could be fixed
> > to allow these commands to work properly, it would be very useful, as the
> > extra space in the tab-bar is a great place to display extra information
> > without crowding the mode line.
> 
> Indeed, events on the tab-bar have a different design where
> `tab-bar--event-to-item' should be used to get a bound command.
> You can see an example in `tab-bar-mouse-down-1' that uses
> (if (functionp (nth 1 item)) (call-interactively (nth 1 item))
> to call an arbitrary command.

The disparity between what "C-h k" says about mouse clicks on the
tab-bar and how to bind commands to such clicks, is IMO a misfeature
that we should fix.